List reports
GET
workspaceTokenheader
AuthorizationBearer <vat_<opaque-token>>Expiring, hashed workspace token with explicit scopes.
workspace_id*Workspace IdFormat
uuidcursor?string|nulllimit?LimitRange
1 <= value <= 100Default
50repository_id?|nullsort?SortDefault
"newest"Value in
"newest""oldest"kind?|period lists reports over a date range, audit one audit's.
Successful Response
application/json- response
has_more?Has MoreDefault
falseitems*array<>next_cursor?string|nullcurl -X GET 'https://api.veriom.ai/v1/workspaces/497f6eca-6276-4993-bfeb-53cbbbba6f08/reports'Example Response
{ "has_more": false, "items": [ { "approved_at": "2019-08-24T14:15:22Z", "approved_by": "02030314-b162-4b4d-8af1-88eabdcc615d", "audit_id": "78c04fa6-cfb4-46a0-9aa5-3681ba4f3897", "compliance_control_count": 0, "confirmed_findings": 0, "created_at": "2019-08-24T14:15:22Z", "diagnostic_count": 0, "finding_dispositions": { "property1": 0, "property2": 0 }, "history_change_count": 0, "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "impact_review_status": "complete", "kind": "audit", "needs_investigation": 0, "period": { "audit_count": 0, "end": "2019-08-24", "label": "string", "source_count": 0, "start": "2019-08-24" }, "published_at": "2019-08-24T14:15:22Z", "revision": 0, "status": "string", "taxonomy_snapshot_id": "487bda72-1129-4a41-8441-bc24f9e8006b", "workspace_id": "0967198e-ec7b-4c6b-b4d3-f71244cadbe9" } ], "next_cursor": "string"}